{% extends 'easyAdmin/layout/unlinked_user_layout.html.twig' %}


                  {% block content %}

                      <div class="content post-login-content">

                          {% if is_granted('ROLE_AFFILIATED') == true and companyRoles is defined and companyRoles is not null %}
                              <div class="container post-login-card">
                                  <div class="title">
                                      <h2>{% trans %}My companys{% endtrans %}</h2>
                                  </div>
                                  {% for companyRole in companyRoles %}
                                      <a href="{{path('app_company_dashboard', {companySlug: companyRole.company.companySlug}) }}">
                                          {% if companyRole.company.logo.filePath|default %}
                                              {% set logo = companyRole.company.logo.filePath ~ '/' ~ companyRole.company.logo.imageName %}
                                          {% else %}
                                              {% set logo = ''%}
                                          {% endif %}
                                          <button type="button" class="circle border border-secondary col-xs-2 col-xs-offset-1 col-sm_offset-1 col-sm-3" style="background-image: url( {{ logo }} );">
                                              <h2>{{ companyRole.company.name }}</h2>
                                              {% for role in companyRole.roles%}
                                                  <p>{{ role }}</p>
                                              {% endfor %}
                                          </button>
                                      </a>
                                  {% endfor %}
                              </div>
                          {% endif %}

                          <div class="container post-login-card">
                              <div class="title">
                                  <h2>{% trans %}Add company{% endtrans %}</h2>
                              </div>
                              <a href={{ path('app_company_register_name') }}>
                                  <button type="button" class="circle bg-light border border-secondary col-xs-2 col-xs-offset-1 col-sm_offset-1 col-sm-3">
                                      <h2>{% trans %}Add company{% endtrans %}</h2>
                                  </button>
                              </a>
                          </div>

                          {% if is_granted('ROLE_AFFILIATED') == true and eventRoles is defined and eventRoles is not null%}
                              <div class="container post-login-card">
                                  <div class="title">
                                      <h2>{% trans %}My events{% endtrans %}</h2>
                                  </div>
                                  {% for eventRole in eventRoles %}
                                      <a href="{{path('app_event_dashboard', {eventSlug: eventRole.event.eventSlug})}}">
                                          <button type="button" class="circle border border-secondary col-xs-2 col-xs-offset-1 col-sm_offset-1 col-sm-3">
                                              <h2>{{ eventRole.event.name }}</h2>
                                              {% for company in eventRole.event.companyRoles %}
                                                  <h4>{{ company.company.name }}</h4>
                                              {% endfor %}
                                              {% for role in eventRole.roles %}
                                                  <p>{{ role }}</p>
                                              {% endfor %}
                                          </button>
                                      </a>
                                  {% endfor %}
                              </div>
                          {% endif %}

                          <div class="container post-login-card">
                              <div class="title">
                                  <h2>{% trans %}Add affiliation{% endtrans %}</h2>
                              </div>
                              <a href={{ path('app_user_register_link_search') }}>
                                  <button type="button" class="circle bg-light border border-secondary col-xs-2 col-xs-offset-1 col-sm_offset-1 col-sm-3">
                                      <h2>{% trans %}Add affiliation{% endtrans %}</h2>
                                  </button>
                              </a>
                          </div>

                          <div class="container post-login-card">
                              <div class="title">
                                  <h2>{% trans %}View catalog{% endtrans %}</h2>
                              </div>
                              <a href={{ path('app_user_register_link_search') }}>
                                  <button type="button" class="circle bg-light border border-secondary col-xs-2 col-xs-offset-1 col-sm_offset-1 col-sm-3">
                                      <h2>{% trans %}View catalog{% endtrans %}</h2>
                                  </button>
                              </a>
                          </div>

                  {% endblock content %}